Ver código fonte

pdns error handling added

84582af
Dirk Alders 1 ano atrás
pai
commit
737597bf3b
2 arquivos alterados com 14 adições e 5 exclusões
  1. 8
    2
      pdns-get
  2. 6
    3
      pdns-proxy

+ 8
- 2
pdns-get Ver arquivo

@@ -1,4 +1,10 @@
1
-#!/bin/sh
1
+#!/bin/bash
2 2
 #
3
-wget -O - stdout http://pdns.mount-mockery.de 2> /dev/null|jq .$1
3
+IP=`wget -O - stdout http://pdns.mount-mockery.de 2> /dev/null|jq .$1`
4
+if [[ "$IP" = "null" ]]; then
5
+    echo No IP found for host $1.
6
+    exit 1
7
+else
8
+    echo $IP
9
+fi
4 10
 

+ 6
- 3
pdns-proxy Ver arquivo

@@ -1,5 +1,8 @@
1
-#/bin/sh
1
+#/bin/bash
2 2
 #
3 3
 HOST=`pdns-get $1`
4
-socat stdio tcp:$HOST:22
5
-
4
+if [[ $? -eq 0 ]]; then
5
+    socat stdio tcp:$HOST:22
6
+else
7
+    >&2 echo CONNECTION ERROR: IP of host $1 is unknown. 
8
+fi

Carregando…
Cancelar
Salvar